## UDisksLinuxMDRaidObject

UDisksLinuxMDRaidObject — Object representing a Linux Software RAID array

## Functions

UDisksLinuxMDRaidObject * | udisks_linux_mdraid_object_new ()
void | udisks_linux_mdraid_object_uevent ()
gboolean | udisks_linux_mdraid_object_have_devices ()
UDisksDaemon * | udisks_linux_mdraid_object_get_daemon ()
UDisksLinuxDevice * | udisks_linux_mdraid_object_get_device ()
GList * | udisks_linux_mdraid_object_get_members ()
const gchar * | udisks_linux_mdraid_object_get_uuid ()

## Properties

UDisksDaemon * | daemon | Read / Write / Construct Only
char * | uuid | Write / Construct Only

## Types and Values

| UDisksLinuxMDRaidObject

## Object Hierarchy

        GObject
        ╰── GDBusObjectSkeleton
            ╰── UDisksObjectSkeleton
                ╰── UDisksLinuxMDRaidObject

## Implemented Interfaces

UDisksLinuxMDRaidObject implements GDBusObject and UDisksObject.

## Description

Object corresponding to a Linux Software RAID array.

## Functions

### udisks_linux_mdraid_object_new ()

    UDisksLinuxMDRaidObject *
    udisks_linux_mdraid_object_new (UDisksDaemon *daemon,
                                    const gchar *uuid);

Create a new MDRaid object.

#### Parameters

daemon | A UDisksDaemon. |
uuid | The UUID for the array. |

#### Returns

A UDisksLinuxMDRaidObject object. Free with `g_object_unref()`.

### udisks_linux_mdraid_object_uevent ()

    void
    udisks_linux_mdraid_object_uevent (UDisksLinuxMDRaidObject *object,
                                       const gchar *action,
                                       UDisksLinuxDevice *device,
                                       gboolean is_member);

Updates all information on interfaces on `mdraid` .

#### Parameters

object | A UDisksLinuxMDRaidObject. |
action | Uevent action or `NULL` |
device | A UDisksLinuxDevice device object or `NULL` if the device hasn't changed. |
is_member | `TRUE` if `device` is a member, `FALSE` if it's the raid device. |

### udisks_linux_mdraid_object_have_devices ()

    gboolean
    udisks_linux_mdraid_object_have_devices
                                   (UDisksLinuxMDRaidObject *object);

Checks if there are any devices associated with `object` at all. This includes both member devices and the raid device.

#### Parameters

object | A UDisksLinuxMDRaidObject. |

#### Returns

`TRUE` if at least one device is associated with `object` , `FALSE` otherwise.

### udisks_linux_mdraid_object_get_daemon ()

    UDisksDaemon *
    udisks_linux_mdraid_object_get_daemon (UDisksLinuxMDRaidObject *object);

Gets the daemon used by `object` .

#### Parameters

object | A UDisksLinuxMDRaidObject. |

#### Returns

A UDisksDaemon. Do not free, the object is owned by `object` .

### udisks_linux_mdraid_object_get_device ()

    UDisksLinuxDevice *
    udisks_linux_mdraid_object_get_device (UDisksLinuxMDRaidObject *object);

Gets the current UDisksLinuxDevice object for the RAID device (e.g. /dev/md0) associated with `object` , if any.

#### Parameters

object | A UDisksLinuxMDRaidObject. |

#### Returns

A UDisksLinuxDevice or `NULL`. Free with `g_object_unref()`.

[transfer full]

### udisks_linux_mdraid_object_get_members ()

    GList *
    udisks_linux_mdraid_object_get_members
                                   (UDisksLinuxMDRaidObject *object);

Gets the current UDisksLinuxDevice objects for the RAID members associated with `object` .

#### Parameters

object | A UDisksLinuxMDRaidObject. |

#### Returns

A list of UDisksLinuxDevice objects. Free each element with `g_object_unref()`, then free the list with `g_list_free()`.

### udisks_linux_mdraid_object_get_uuid ()

    const gchar *
    udisks_linux_mdraid_object_get_uuid (UDisksLinuxMDRaidObject *object);

Gets the UUID for `object` .

#### Parameters

object | A UDisksLinuxMDRaidObject. |

#### Returns

The UUID for object. Do not free, the string belongs to `object` .

[transfer none]

## Types and Values

### UDisksLinuxMDRaidObject

    typedef struct _UDisksLinuxMDRaidObject UDisksLinuxMDRaidObject;

The UDisksLinuxMDRaidObject structure contains only private data and should only be accessed using the provided API.

## Property Details

### The `“daemon”` property

      “daemon”                   UDisksDaemon *

The UDisksDaemon the object is for.

Owner: UDisksLinuxMDRaidObject

Flags: Read / Write / Construct Only

### The `“uuid”` property

      “uuid”                     char *

The UUID for the array.

Owner: UDisksLinuxMDRaidObject

Flags: Write / Construct Only

Default value: NULL